import * as VTable from '@visactor/vtable';
import type { DetailTableOptions, MasterDetailPluginOptions } from './types';
export declare class ConfigManager {
    private pluginOptions;
    private table;
    constructor(pluginOptions: MasterDetailPluginOptions, table: VTable.ListTable);
    private hasChildren;
    injectMasterDetailOptions(options: VTable.ListTableConstructorOptions): void;
    private getDataCount;
    private disableRefreshHierarchyState;
    private setupInitializedListener;
    private processRecordsHierarchyStates;
    getDetailConfigForRecord(record: unknown, bodyRowIndex: number): DetailTableOptions | null;
    private isRowExpanded;
    setRowExpandedChecker(checker: (row: number) => boolean): void;
    release(): void;
}
